ini_handler
	Write(file, overwrite = 1)
		if(fexists(file) && overwrite)
			fdel(file)

		. = ""
		for(var/n in sections)
			. += "\[[n]]\n"
			if(sections[n])
				var/ini_handler/section/s = sections[n]

				for(var/o in s.attributes)
					. += "[o] = "

					var
						ini_handler/attribute/a = s.attributes[o]
						data = a.GetData()
					if(isnum(data))
						. += "[data]"
					else if(istype(data, /list))
						. += "[list2text(data)]"
					else
						. += "\"[data]\""

					. += "\n"

		text2file(., file)

	proc
		list2text(list/l)
			. = "<"
			for(var/a = 1, a <= l.len, a ++)
				var/i = l[a]
				if(isnum(i))
					. += "[i]"
				else if(istype(i, /list))
					. += list2text(i)
				else
					. += "\"[i]\""
					if(l[i] && istype(l[i], /list))
						. += " = [list2text(l[i])]"
					else if(l[i] && isnum(l[i]))
						. += " = [l[a]]"
					else if(l[i])
						. += " = \"[l[i]]\""

				if(a < l.len)
					. += ", "
			return . + ">"